// place your rules here or add more .js files in this directory
log("add your rules to /etc/wb-rules/");


// ------------------------------------Check--------------------------------------------

// Rule to define press button and call function to send message
defineRule("RelayCheck", { 
  whenChanged: ["wb-mr6c_118/K1", "wb-mr6c_118/K2", "wb-mr6c_118/K3"],
  then: function (newValue, devName, cellName) {
	if (newValue) {
		SendTelegramMsg('Switch ON: ' + cellName); // Call global function
		log ("Message 1 sent");                    // Write to debug console log message
	} else {
		SendTelegramMsg('Switch OFF: ' + cellName);// Call global function
		log ("Message 2 sent");                    // Write to debug console log message	
	}
  }
});


// ------------------------------------Motion check--------------------------------------------
// отправка сообщения в телеграм при фиксации движения

// массив датчиков движения и их имена
sensors = 	   ["wb-msw-v3_59/Current Motion", "wb-msw-v3_62/Current Motion", "wb-msw-v3_112/Current Motion", "wb-msw-v3_127/Current Motion", "wb-msw-v3_133/Current Motion", "wb-msw-v3_136/Current Motion"]
sensorNames =  ["гостиной",                    "сортире",                      "викиной комнате",              "варькиной комнате",           "кабинете",                     "моей комнате"]


/*
defineRule("MotionCheck", { 
  whenChanged: sensors,
  then: function (newValue, devName, cellName) {
    if (newValue > 50) {
      var index = sensors.indexOf(devName + '/' + cellName);
      SendTelegramMsg('Есть движение в ' + sensorNames[index] + '. Уровень ' + newValue); // Call global function
      log ("Message 1 sent");                    // Write to debug console log message
    } 
  }
});
*/

/*
// Rule to send message if motion detected when there is Nobody at Home
if ('NobodyHome/switch' == true) {
    defineRule("MotionCheck", { 
    whenChanged: sensors,
    then: function (newValue, devName, cellName) {
      if (newValue > 50) {
          var index = sensors.indexOf(devName + '/' + cellName);
          SendTelegramMsg('Есть движение в ' + sensorNames[index] + '. Уровень ' + newValue); // Call global function
          log ("Message 1 sent");                    // Write to debug console log message
      } 
    }
  });
}
*/
