defineVirtualDevice("windows", { //создаём виртуальное устройство
    title: "windows", //имя вирт устройства
    cells: { 
        entrydoor: {
            title: "Входная дверь",
            type: "text",
            value: ""
        }, 
        corridor: {
            title: "Окно в коридоре",
            type: "text",
            value: ""
        },
        cabinet: {
            title: "Окно в кабинете",
            type: "text",
            value: ""
        },
        livingroom: {
            title: "Окно в гостиной",
            type: "text",
            value: ""         
        },
        kitchendoor: {
            title: "Дверь на кухне",
            type: "text",
            value: ""
        },
        garagewindow: {
            title: "Окно в гараже",
            type: "text",
            value: ""
        }, 
        garagegate: {
            title: "Гаражные ворота",
            type: "text",
            value: ""
        }, 
        dush: {
            title: "Окно в ванной рядом с душем",
            type: "text",
            value: ""
        },
        bochka: {
            title: "Окно в ванной рядом с бочкой",
            type: "text",
            value: ""
        },
        varkino: {
            title: "Варькино окно",
            type: "text",
            value: ""
        }, 
        vikino: {
            title: "Викино окно",
            type: "text",
            value: ""
        }, 
        beINoom: {
            title: "Окно в спальне",
            type: "text",
            value: ""
        }, 
        warINobeleft: {
            title: "Окно в гардеробе слева",
            type: "text",
            value: ""
        }, 
        warINoberight: {
            title: "Окно в гардеробе справа",
            type: "text",
            value: ""
        },      
      
    }
});

// ------------------------------------Perimeter check--------------------------------------------

// массив окон и дверей и их имена
windowTopics = ["wb-mio-gpio_70:1/IN1", "wb-mio-gpio_70:1/IN2", "wb-mio-gpio_70:1/IN3", "wb-mio-gpio_70:1/IN4", "wb-mio-gpio_70:1/IN5", "wb-mio-gpio_70:1/IN6", "wb-mio-gpio_70:1/IN7", "wb-mio-gpio_70:1/IN8",     "wb-mio-gpio_70:1/IN9",      "wb-mio-gpio_70:1/IN10",       "wb-mio-gpio_70:1/IN11",        "wb-mio-gpio_70:1/IN12", "wb-mio-gpio_70:1/IN13", "wb-mio-gpio_70:1/IN14"]
windowNames =  ["Входная дверь",        "окно в коридоре",      "окно в кабинете",      "окно в гостиной",      "дверь на веранду",     "окно в гараже",        "гаражные ворота",      "левое окно в гардеробной", "правое окно в гардеробной", "окно в ванной рядом с душем", "окно в ванной рядом с бочкой", "Викино окно",           "Варькино окно",         "окно в спальне"]
windowCells =  ["entrydoor",            "corridor",             "cabinet",              "livingroom",           "kitchendoor",          "garagewindow",         "garagegate",           "warINobeleft",             "warINoberight",             "dush",                        "bochka",                       "vikino",                "varkino",               "beINoom" ]


// Rule to send message if motion detected
defineRule("PerimeterCheck", { 
  whenChanged: windowTopics,
  then: function (newValue, devName, cellName) {
    var index = windowTopics.indexOf(devName + '/' + cellName);
    if (newValue == true) {
        dev['windows/' + windowCells[index]] = "закрыто"
    }
    else{
        dev['windows/' + windowCells[index]] = "открыто"
    }

    SendTelegramMsg('В Южном ' + windowNames[index] + ' ' + dev['windows/' + windowCells[index]]);

  }
});