var pa = require("wb-press-actions"); 

var commands = [
    { btnControl: "wb-mr6c_120/Input 6 Double Press Counter", actionControl: "wb-mr6c_128/K2", actionType: "toggle" },    // Люстра на кухне включается от двойного нажатия выкл на кухне (который управляет светом на веранде)
    { btnControl: "wb-mr6c_126/Input 6 Double Press Counter", actionControl: "wb-mr6c_128/K1", actionType: "toggle" },    // Викина люстра включается от двойного нажатия выкл у Викиной кровати
    { btnControl: "wb-mr6c_128/Input 1 Double Press Counter", actionControl: "wb-mr6c_126/K6", actionType: "toggle" },    // Викин ночник включается от двойного нажатия главного выкл в Викиной комнате
  ];

pa.init(commands);


// master switch OFF all light when leave home
defineRule("MasterSwitch", {
	whenChanged: "wb-mr6c_118/Input 6 Long Press Counter",
	then: function (newValue, devName, cellName) {
		dev["wb-mr6c_118"]["K1"] = false; // свет в подсобке 
		dev["wb-mr6c_118"]["K2"] = false; // свет в гараже 
		dev["wb-mr6c_118"]["K3"] = false; // 							резерв для парковки
		dev["wb-mr6c_118"]["K4"] = false; // свет в гардеробной
		dev["wb-mr6c_118"]["K5"] = false; // свет в коридоре
		dev["wb-mr6c_118"]["K6"] = false; // свет на крыльце
		dev["wb-mr6c_120"]["K1"] = false; // 							резерв для подсветки крыши 
		dev["wb-mr6c_120"]["K2"] = false; // свет на чердаке 
		dev["wb-mr6c_120"]["K3"] = false; // свет в холле 2 этажа 
		dev["wb-mr6c_120"]["K4"] = false; // свет в сортире
		dev["wb-mr6c_120"]["K5"] = false; // люстра в гостиной
		dev["wb-mr6c_120"]["K6"] = false; // свет на веранде
		dev["wb-mr6c_126"]["K1"] = false; // Варькин ночник
		dev["wb-mr6c_126"]["K2"] = false; // Варькина люстра
		dev["wb-mr6c_126"]["K3"] = false; // Люстра в спальне
		dev["wb-mr6c_126"]["K4"] = false; // Настин ночник
		dev["wb-mr6c_126"]["K5"] = false; // Свет в ванной 2 эт
		dev["wb-mr6c_126"]["K6"] = false; // Викин ночник
		dev["wb-mr6c_128"]["K1"] = false; // Викина люстра
		dev["wb-mr6c_128"]["K2"] = false; // Люстра на кухне
		dev["wb-mr6c_128"]["K3"] = false; // Точечные светильники на кухне
		dev["wb-mr6c_128"]["K4"] = false; // свет в кабинете
		dev["wb-mr6c_128"]["K5"] = false; // 
		dev["wb-mr6c_128"]["K6"] = false; // 
	}
});